LINUX.ORG.RU

Конфликт - nvidia-173xx требует kernel26<2.6.34


0

0
pac -Syu
:: Синхронизируются базы данных пакетов...
 core не устарел
 extra не устарел
 community не устарел
 archlinuxfr не устарел
:: Запускается полное обновление системы...
:: Заменить kernel26-firmware на core/linux-firmware? [Y/n] 
:: Заменить perlxml на extra/perl-xml-parser? [Y/n] 
:: Заменить pkgconfig на core/pkg-config? [Y/n] 
разрешение зависимостей...
проверка на взаимную несовместимость...
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: nvidia-173xx: требует kernel26<2.6.34

А при отрицательных ответах получаю:

...
:: linux-firmware и kernel26-firmware конфликтуют
Пробовал обновлять через -Sy каждый из элементов (кроме nvidia-173xx), все равно предлагает удалить одного и поставить другого, и получается все по кругу. Обновление nvidia-173xx выдает такое, будто его вообще нет.

★★★★

Ответ на: комментарий от Zitzy

не пойдет, у меня видюха nvidia fx 5200, либо 96xx, либо 173xx.

doctorx ★★★★ ()

Что-то ни nvidia-96xx, ни nvidia-173xx (по wiki) и в базе данных пакетов, и пакман не находит, только просто nvidia. WTF?!

doctorx ★★★★ ()

В гугле столько забаненых, я понимаю, да.

anon_666 ()

Похоже у вас появился шанс попробовать nouveau ))

vadik ★★ ()
Ответ на: комментарий от megabaks

Это еще не некрофилия, вот если geforce 2 mx - это я понимаю старое железо, не то что мое, 2005 года. (я видел CS Source запускали на 2 mx, так что она еще хоть куда)

doctorx ★★★★ ()
Ответ на: комментарий от anonymous

Ага, хлебнул. Отпишитесь пользователи nouveau, как там производительность, особенно по сравнению с проприетарными драйверами. Думаю, если там так плохо, может просто переждать пока nvidia-173xx будет поддерживать xorg 1.8.

doctorx ★★★★ ()
Ответ на: комментарий от damnemall

>говно ваш линукс-кернел, товарищи. никакой обратной совместимости
Дык Stable API nonsense™ :D

anotheranonymous ()
Ответ на: комментарий от doctorx

2d местами лучше + kms. 3d считай что его нет, учитывая старость твоей карты (пилят сначала для новых).

anon_666 ()

Решил ставить nouveau, пользовался этой статьей. Установил xf86-video-nouveau и nouveau-dri, добавил в /etc/modprobe.d/modprobe.conf blacklist nvidia, сделал rmmod nvidia, а на modprobe nouveau мне отвечают так:

FATAL: Module nouveau not found

Также добавил в /etc/X11/xorg.conf.d/10-monitor.conf

    Section "Device"
    Identifier "nvidia"
    Driver "nouveau"
    #Driver "nv"
    #Driver "nvidia"
    EndSection

В /etc/mkinitcpio.conf добавил MODULES=«nouveau», FILES=«/etc/modprobe.d/modprobe.conf» и выполнил mkinitcpio -p kernel26. В конце выдало success, но еще было

ERROR: module 'nouveau' not found

В xorg.conf у меня:

 ...
    Section "Device"
    Identifier "Device0"
    Driver "nouveau"
    VendorName "NVIDIA Corporation"
    Option "RenderAccel" "True"
    # Option "NvAGP" "1"
    # Option "Coolbits" "1"
    # Option "TripleBuffer" "True"
    # Option "DRI" "True"
    EndSection

Не могу запустить иксы((

doctorx ★★★★ ()
Ответ на: комментарий от Quasar

>Чтобы при обновлении Mesa драйвер сдох, да?
и чо?
лучше вообще без дров?

megabaks ★★★★ ()
Ответ на: комментарий от anon_666

Спасибо, помогло. Заметил, что в nouveau в glxgears на 6 fps быстрее, чем в проприетарщине, но на страничках в интернетах пролистывание довольно неплавное.

Всем спасибо за помощь, особенно anon_666.

doctorx ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.